package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

public class CourseScheduleTeachersDto{

    @ApiModelProperty(value = "教师编号",required = false)
    private String teacherId;

    @ApiModelProperty(value = "课程编号",required = false)
    private String courseScheduleId;

    @ApiModelProperty(value = "教师名称",required = false)
    private String teacherName;

    @ApiModelProperty(value = "教师角色",required = false)
    private String teacherRole;

    @ApiModelProperty(value = "课酬",required = false)
    private BigDecimal expectSalary;

    @ApiModelProperty(value = "补贴",required = false)
    private BigDecimal subsidy;

    public String getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(String teacherId) {
        this.teacherId = teacherId;
    }

    public String getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(String courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getTeacherRole() {
        return teacherRole;
    }

    public void setTeacherRole(String teacherRole) {
        this.teacherRole = teacherRole;
    }

    public BigDecimal getExpectSalary() {
        return expectSalary;
    }

    public void setExpectSalary(BigDecimal expectSalary) {
        this.expectSalary = expectSalary;
    }

    public BigDecimal getSubsidy() {
        return subsidy;
    }

    public void setSubsidy(BigDecimal subsidy) {
        this.subsidy = subsidy;
    }
}
